Get Verification
curl --request GET \
--url https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": "pending",
"verification_type": "business_search",
"requested_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"is_verified": true,
"verification_rating": "<string>",
"risk_rating": "<string>",
"error_message": "<string>",
"verification_score": 123,
"risk_score": 123,
"sos_status": "active",
"sos_standing": "<string>",
"sos_file_number": "<string>",
"registration_type": "<string>",
"registered_name": "<string>",
"business_structure": "llc",
"business_address": "<string>",
"formation_date": "2023-12-25",
"inactive_date": "2023-12-25",
"dissolution_date": "2023-12-25",
"domestic_state": "<string>",
"registered_agent_name": "<string>",
"registered_agent_address": {},
"alternative_names": [
"<string>"
],
"registered_address": {},
"name_verified": true,
"name_match_quality": "<string>",
"address_verified": true,
"address_match_quality": "<string>",
"tin_verified": true,
"address_type": "street",
"is_residential": true,
"naics_code": "<string>",
"mcc_code": "<string>",
"sic_code": "<string>",
"industry_description": "<string>",
"industry_confidence": 123,
"naics_risk_level": "<string>",
"mcc_codes": [
{
"code": "<string>",
"description": "<string>",
"visa_risk_tier": "<string>",
"mastercard_risk": true
}
],
"sic_codes": [
{
"code": "<string>",
"description": "<string>",
"visa_risk_tier": "<string>",
"mastercard_risk": true
}
],
"industry_keywords": [
"<string>"
],
"industry_reasoning": "<string>",
"website_url": "<string>",
"domain_age_days": 123,
"has_ssl": true,
"email_deliverable": true,
"officer_count": 123,
"officer_match": true,
"active_lien_count": 123,
"active_ucc_count": 123,
"tax_lien_found": true,
"judgment_found": true,
"watchlist_clear": true,
"ofac_clear": true,
"pep_found": true,
"registrations": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"registration_type": "<string>",
"state": "<string>",
"status": "active",
"standing": "<string>",
"file_number": "<string>",
"registered_name": "<string>",
"issue_date": "2023-12-25",
"inactive_date": "2023-12-25",
"dissolution_date": "2023-12-25",
"registered_agent_name": "<string>",
"registered_agent_address": {},
"registered_address": {},
"object": "<string>"
}
],
"addresses": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"address_type": "street",
"is_cmra": true,
"is_residential": true,
"object": "<string>"
}
],
"officers": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"title": "<string>",
"source": "sos",
"is_input_match": true,
"match_score": 123,
"watchlist_clear": true,
"pep_status": true,
"object": "<string>"
}
],
"liens": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"filing_number": "<string>",
"filing_type": "ucc1",
"status": "active",
"filed_date": "2023-12-25",
"expiration_date": "2023-12-25",
"secured_party": "<string>",
"is_blanket_lien": true,
"collateral_description": "<string>",
"object": "<string>"
}
],
"watchlist_hits": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"list_type": "ofac",
"list_name": "<string>",
"matched_name": "<string>",
"match_score": 123,
"matched_entity_type": "<string>",
"matched_entity_name": "<string>",
"is_false_positive": true,
"object": "<string>"
}
],
"website_analysis_detail": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"url": "<string>",
"parked": true,
"email_deliverable": true,
"ssl_valid": true,
"website_build_status": "<string>",
"website_summary": "<string>",
"screenshot_url": "<string>",
"emails": [
"<string>"
],
"phone_numbers": [
"<string>"
],
"social_profiles": [
{}
],
"object": "<string>"
},
"input_data": {},
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}kyb
Get Verification
Get KYB Verification Detail
Returns detailed verification results including officers, liens, and watchlist hits.
GET
/
v2
/
partners
/
{partner_id}
/
kyb
/
{verification_id}
Get Verification
curl --request GET \
--url https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/partners/{partner_id}/kyb/{verification_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": "pending",
"verification_type": "business_search",
"requested_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"is_verified": true,
"verification_rating": "<string>",
"risk_rating": "<string>",
"error_message": "<string>",
"verification_score": 123,
"risk_score": 123,
"sos_status": "active",
"sos_standing": "<string>",
"sos_file_number": "<string>",
"registration_type": "<string>",
"registered_name": "<string>",
"business_structure": "llc",
"business_address": "<string>",
"formation_date": "2023-12-25",
"inactive_date": "2023-12-25",
"dissolution_date": "2023-12-25",
"domestic_state": "<string>",
"registered_agent_name": "<string>",
"registered_agent_address": {},
"alternative_names": [
"<string>"
],
"registered_address": {},
"name_verified": true,
"name_match_quality": "<string>",
"address_verified": true,
"address_match_quality": "<string>",
"tin_verified": true,
"address_type": "street",
"is_residential": true,
"naics_code": "<string>",
"mcc_code": "<string>",
"sic_code": "<string>",
"industry_description": "<string>",
"industry_confidence": 123,
"naics_risk_level": "<string>",
"mcc_codes": [
{
"code": "<string>",
"description": "<string>",
"visa_risk_tier": "<string>",
"mastercard_risk": true
}
],
"sic_codes": [
{
"code": "<string>",
"description": "<string>",
"visa_risk_tier": "<string>",
"mastercard_risk": true
}
],
"industry_keywords": [
"<string>"
],
"industry_reasoning": "<string>",
"website_url": "<string>",
"domain_age_days": 123,
"has_ssl": true,
"email_deliverable": true,
"officer_count": 123,
"officer_match": true,
"active_lien_count": 123,
"active_ucc_count": 123,
"tax_lien_found": true,
"judgment_found": true,
"watchlist_clear": true,
"ofac_clear": true,
"pep_found": true,
"registrations": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"registration_type": "<string>",
"state": "<string>",
"status": "active",
"standing": "<string>",
"file_number": "<string>",
"registered_name": "<string>",
"issue_date": "2023-12-25",
"inactive_date": "2023-12-25",
"dissolution_date": "2023-12-25",
"registered_agent_name": "<string>",
"registered_agent_address": {},
"registered_address": {},
"object": "<string>"
}
],
"addresses": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"address_type": "street",
"is_cmra": true,
"is_residential": true,
"object": "<string>"
}
],
"officers": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"title": "<string>",
"source": "sos",
"is_input_match": true,
"match_score": 123,
"watchlist_clear": true,
"pep_status": true,
"object": "<string>"
}
],
"liens": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"filing_number": "<string>",
"filing_type": "ucc1",
"status": "active",
"filed_date": "2023-12-25",
"expiration_date": "2023-12-25",
"secured_party": "<string>",
"is_blanket_lien": true,
"collateral_description": "<string>",
"object": "<string>"
}
],
"watchlist_hits": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"list_type": "ofac",
"list_name": "<string>",
"matched_name": "<string>",
"match_score": 123,
"matched_entity_type": "<string>",
"matched_entity_name": "<string>",
"is_false_positive": true,
"object": "<string>"
}
],
"website_analysis_detail": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"url": "<string>",
"parked": true,
"email_deliverable": true,
"ssl_valid": true,
"website_build_status": "<string>",
"website_summary": "<string>",
"screenshot_url": "<string>",
"emails": [
"<string>"
],
"phone_numbers": [
"<string>"
],
"social_profiles": [
{}
],
"object": "<string>"
},
"input_data": {},
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}Authorizations
Response
Successful Response
Full KYB verification details.
